package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.DistricRepository;
import com.realnet.basicp1.Entity.Distric
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class DistricService {
@Autowired
private DistricRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Distric Savedata(Distric data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Distric save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Distric> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Distric> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Distric> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Distric getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Distric update(Distric data,Integer id) {
	Distric old = Repository.findById(id).get();
old.setDistrict_name(data.getDistrict_name());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

old.setState_name(data.getState_name());

final Distric test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
